Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512359 - Access Control Accordion isn't refreshed after creating new RBAC items
Summary: Access Control Accordion isn't refreshed after creating new RBAC items
Keywords:
Status: CLOSED DUPLICATE of bug 1524933
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Libor Pichler
QA Contact: Dave Johnson
URL:
Whiteboard: webui:rbac
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 01:00 UTC by Landon LaSmith
Modified: 2017-12-21 14:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-20 17:34:21 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Landon LaSmith 2017-11-13 01:00:29 UTC
Description of problem: The Access Control accordion isn't automatically refreshed when a new RBAC item is created. 

The RBAC item is created successfully but it's not visible in the accordion until a manual refresh. This is an inconvenience for the user and QE.


Version: 5.9.0.8.20171109215303_ed87902


How reproducible: 100%


Steps to Reproduce:
1. Navigate to Configuration -> Access Control -> User (--OR-- Group --OR-- Role)
2. Create and save new User

Actual results: The new user is not visible in the accordion


Expected results: The accordion refreshes upon clicking save and the new user is visible in the accordion


Note You need to log in before you can comment on or make changes to this bug.